xfs
[Top] [All Lists]

[PATCH] xfstests: test 220: double inode free in xfs_dqrele_inode

To: xfs@xxxxxxxxxxx
Subject: [PATCH] xfstests: test 220: double inode free in xfs_dqrele_inode
From: Christoph Hellwig <hch@xxxxxxxxxxxxx>
Date: Mon, 12 Oct 2009 19:50:59 -0400
Cc: Utako Kusaka <u-kusaka@xxxxxxxxxxxxx>
User-agent: Mutt/1.5.19 (2009-01-05)
Trivial test case that mounts a filesystem with user quotas, then turns
quotas off an unmounts.  Based on a testcase in a bug report from
Utako Kusaka <u-kusaka@xxxxxxxxxxxxx>.

Signed-off-by: Christoph Hellwig <hch@xxxxxx>

Index: xfstests-dev/220
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ xfstests-dev/220    2009-10-12 23:49:43.000000000 +0000
@@ -0,0 +1,71 @@
+#! /bin/sh
+# FS QA Test No. 220
+#
+# Test that turning quotas off on a mounted filesystem doesn't crash
+# the system.
+#
+# Based on a bug report from Utako Kusaka <u-kusaka@xxxxxxxxxxxxx>.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2009 Christoph Hellwig.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+# creator
+owner=hch@xxxxxx
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1       # failure is the default!
+
+_cleanup()
+{
+       cd /
+       umount $SCRATCH_DEV >/dev/null 2>&1
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.quota
+
+# real QA test starts here
+_supported_fs xfs
+_supported_os Linux
+
+_require_scratch
+_require_quota
+
+echo "Silence is golden."
+
+# create scratch filesystem
+_scratch_mkfs_xfs >/dev/null 2>&1
+
+# mount  with quotas enabled
+_scratch_mount -o uquota
+
+# turn off quota
+xfs_quota -x -c off $SCRATCH_DEV
+
+# and unmount (this used to crash)
+umount $SCRATCH_DEV
+
+status=0
+exit $status
Index: xfstests-dev/220.out
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ xfstests-dev/220.out        2009-10-11 17:00:02.000000000 +0000
@@ -0,0 +1,2 @@
+QA output created by 220
+Silence is golden.
Index: xfstests-dev/group
===================================================================
--- xfstests-dev.orig/group     2009-10-11 16:44:37.000000000 +0000
+++ xfstests-dev/group  2009-10-11 16:45:07.000000000 +0000
@@ -329,3 +329,4 @@ prealloc
 217 log metadata auto
 218 auto fsr quick
 219 auto quota quick
+220 auto quota quick

<Prev in Thread] Current Thread [Next in Thread>